export const useDetailStore = defineStore('detailStore', () => {
  const menuInfo = ref({
    menuIndex : '0',
    menuId : 'menu02',
    pageRtName : '미디어 관리',
    pageStatus : '0',
  })

  const boardInfo = ref({
    seq : '',
    pageType : '',
    status: '',
  })

  const adminInfo = ref({
    adminId : '',
    pageType : ''
  })

  function reset() {
    menuInfo.value = {
      menuIndex : '0',
      menuId : 'menu02',
      pageRtName : '미디어 관리',
      pageStatus : '0',
    }
    boardInfo.value = {
      seq : '',
      pageType : '',
      status: '',
    }
    adminInfo.value = {
      adminId : '',
      pageType : ''
    }
  }

  return {menuInfo, boardInfo, adminInfo, reset}
}, {persist: { storage: persistedState.sessionStorage,}})